package com.jasamedika.medifirst2000.entities;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Transient;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name = "ResikoJatuh_T")
public class ResikoJatuhDetail extends BaseTransaction {
	
	@ManyToOne
	@JoinColumn(name = "ResikoJatuhFk")
	@NotNull(message = "Resiko Jatuh tidak boleh kosong")
	private ResikoJatuh resikoJatuh;
	
	@Column(name = "ResikoJatuhFk", insertable = false, updatable = false)
	private Integer resikoJatuhId;
	
	@ManyToOne
	@JoinColumn(name = "TransferPasienInternalFk", nullable=true)
	private TransferPasienInternal transferPasienInternal;
	
	@Column(name = "TransferPasienInternalFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = true)
	private String transferPasienInternalId;
	
	@ManyToOne
	@JoinColumn(name = "TransferPasienExsternalFk", nullable=true)
	private TransferPasienExsternal transferPasienExsternal;
	
	@Column(name = "TransferPasienExsternalFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = true)
	private String transferPasienExsternalId;
	
	@NotNull(message = "Is Nilai tidak boleh kosong")
	@Column(name = "isNilai")
	@Caption(value = "Is Nilai")
	private Boolean isNilai;	

	public ResikoJatuh getResikoJatuh() {
		return resikoJatuh;
	}

	public void setResikoJatuh(ResikoJatuh resikoJatuh) {
		this.resikoJatuh = resikoJatuh;
	}

	public Boolean getIsNilai() {
		return isNilai;
	}

	public void setIsNilai(Boolean isNilai) {
		this.isNilai = isNilai;
	}

	public TransferPasienInternal getTransferPasienInternal() {
		return transferPasienInternal;
	}

	public void setTransferPasienInternal(TransferPasienInternal transferPasienInternal) {
		this.transferPasienInternal = transferPasienInternal;
	}

	public Integer getResikoJatuhId() {
		return resikoJatuhId;
	}

	public void setResikoJatuhId(Integer resikoJatuhId) {
		this.resikoJatuhId = resikoJatuhId;
	}

	public String getTransferPasienInternalId() {
		return transferPasienInternalId;
	}

	public void setTransferPasienInternalId(String transferPasienInternalId) {
		this.transferPasienInternalId = transferPasienInternalId;
	}

	public TransferPasienExsternal getTransferPasienExsternal() {
		return transferPasienExsternal;
	}

	public void setTransferPasienExsternal(TransferPasienExsternal transferPasienExsternal) {
		this.transferPasienExsternal = transferPasienExsternal;
	}

	public String getTransferPasienExsternalId() {
		return transferPasienExsternalId;
	}

	public void setTransferPasienExsternalId(String transferPasienExsternalId) {
		this.transferPasienExsternalId = transferPasienExsternalId;
	}	

	
	
}
